U++ - Bug #612
Recent changes break Core/z.cpp
12/18/2013 07:03 AM - Jan Dolinar

Status: Approved Start date: 12/18/2013
Priority: High Due date:

Assignee: Jan Dolinar % Done: 0%
Category: Core Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

From launchpad builds:

Compiling /build/buildd/upp-6668/uppsrc/Core/z.cpp
/build/buildd/upp-6668/uppsrc/Core/z.cpp: In function 'Upp::String Upp::ZCompress(const void*, Upp::int64, Upp::Gate2<long
long int, long long int>)":
/build/buildd/upp-6668/uppsrc/Core/z.cpp:359:64: error: operands to ?: have different types 'Upp::String' and 'Upp::StringStream’
/build/buildd/upp-6668/uppsrc/Core/z.cpp: In function 'Upp::String Upp::ZDecompress(const void*, Upp::int64, Upp::Gate2<long
long int, long long int>)":
/build/buildd/upp-6668/uppsrc/Core/z.cpp:371:66: error: operands to ?: have different types 'Upp::String' and 'Upp::StringStream'’
/build/buildd/upp-6668/uppsrc/Core/z.cpp: In function 'Upp::String Upp::GZCompress(const void*, int, Upp::Gate2<long long int,
long long int>)":
/build/buildd/upp-6668/uppsrc/Core/z.cpp:398:65: error: operands to ?: have different types 'Upp::String' and 'Upp::StringStream'
/build/buildd/upp-6668/uppsrc/Core/z.cpp: In function 'Upp::String Upp::GZDecompress(const void*, int, Upp::Gate2<long long
int, long long int>)":
/build/buildd/upp-6668/uppsrc/Core/z.cpp:415:67: error: operands to ?: have different types 'Upp::String' and 'Upp::StringStream'’
make[3]: *** [_out/Core/GCC.LINUX.POSIX/z.cpp.o] Error 1
make[3]: Leaving directory "/build/buildd/upp-6668'

History

#1 - 12/18/2013 08:57 AM - Miroslav Fidler
- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Jan Dolinar

Should be fixed now..

#2 - 12/19/2013 08:03 AM - Jan Dolinar
- Status changed from Ready for QA to Approved
